## kodi-vfs-rar-dmo 19.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vfs.rar)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR
   CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

find_package(Kodi REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${TINYXML_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}/lib/UnrarXLib)

add_subdirectory(lib/UnrarXLib)

set(RAR_SOURCES src/RarControl.cpp
                src/RarFile.cpp
                src/RarExtractThread.cpp
                src/RarManager.cpp
                src/RarPassword.cpp)

set(RAR_HEADERS src/Helpers.h
                src/RarControl.h
                src/RarExtractThread.h
                src/RarFile.h
                src/RarManager.h
                src/RarPassword.h)

add_definitions(-D_LARGEFILE64_SOURCE
                -D_FILE_OFFSET_BITS=64
                -D__STDC_FORMAT_MACROS
                -D_CRT_NONSTDC_NO_DEPRECATE
                -DRARDLL
                -DSILENT)

set(DEPLIBS unrarxlib ${TINYXML_LIBRARIES})

build_addon(vfs.rar RAR DEPLIBS)

include(CPack)

=== depends/common/tinyxml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(tinyxml)

set(SOURCES src/tinystr.cpp
            src/tinyxml.cpp
            src/tinyxmlerror.cpp
            src/tinyxmlparser.cpp)

if(WIN32)
  add_definitions(-DWIN32 -D_LIB)
endif()
add_definitions(-DTIXML_USE_STL)

add_library(tinyxml ${SOURCES})

include_directories(${PROJECT_SOURCE_DIR}/include)

set(HEADERS ${PROJECT_SOURCE_DIR}/include/tinystr.h
            ${PROJECT_SOURCE_DIR}/include/tinyxml.h)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
install(TARGETS tinyxml DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

# As this static no need to make it public
if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR
   CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

=== debian/changelog ===
kodi-vfs-rar-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 11:12:11 +0100

kodi-vfs-rar-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 17:18:03 +0200

kodi-vfs-rar-dmo (1:4.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Jan 2021 09:04:57 +0100

kodi-vfs-rar-dmo (2.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Sep 2020 08:44:14 +0200

kodi-vfs-rar-dmo (2.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Apr 2020 08:19:22 +0200

kodi-vfs-rar-dmo (2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2020 00:42:12 +0200

kodi-vfs-rar-dmo (2.2.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Mar 2020 08:52:45 +0200

kodi-vfs-rar-dmo (2.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Mar 2020 13:27:04 +0100

kodi-vfs-rar-dmo (2.2.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Mar 2020 07:46:48 +0100

kodi-vfs-rar-dmo (2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Mar 2020 08:43:58 +0100

kodi-vfs-rar-dmo (2.0.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Jan 2020 09:37:27 +0100

kodi-vfs-rar-dmo (2.0.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Apr 2019 08:07:39 +0200

kodi-vfs-rar-dmo (2.0.6-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2019 08:10:09 +0100

=== debian/control ===
Source: kodi-vfs-rar-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/xbmc/vfs.rar
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libtinyxml-dev, pkg-config, ninja-build

Package: kodi-vfs-rar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:VFSAPI}
Description: RAR VFS for Kodi.
 This addon is an extraction utility for RAR archives.
 .
 It allows direct reading of uncompressed RAR files, so prior unpacking is
 not necessary. For all other types, it is temporarily unpacked and passed
 to Kodi.
 .
 Attention: A "Solid RAR" archive type requires complete unpacking to use
 files within it. Hence access times may be long for larger packages.

=== debian/watch ===
version=4

https://github.com/xbmc/vfs.rar/releases \
(?:.*?/)??(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-vfs-rar-dmo 20.1.0

=== lib/UnrarXLib/CMakeLists.txt ===
set(SOURCES archive.cpp
            arcread.cpp
            blake2s.cpp
            cmddata.cpp
            consio.cpp
            crc.cpp
            crypt.cpp
            dll.cpp
            encname.cpp
            errhnd.cpp
            extinfo.cpp
            extract.cpp
            filcreat.cpp
            file.cpp
            filefn.cpp
            filestr.cpp
            find.cpp
            getbits.cpp
            global.cpp
            hash.cpp
            headers.cpp
            isnt.cpp
            list.cpp
            log.cpp
            match.cpp
            options.cpp
            pathfn.cpp
            qopen.cpp
            rar.cpp
            rarvm.cpp
            rawread.cpp
            rdwrfn.cpp
            recvol.cpp
            resource.cpp
            rijndael.cpp
            rs.cpp
            rs16.cpp
            scantree.cpp
            secpassword.cpp
            sha1.cpp
            sha256.cpp
            smallfn.cpp
            strfn.cpp
            strlist.cpp
            system.cpp
            threadpool.cpp
            timefn.cpp
            ui.cpp
            unicode.cpp
            unpack.cpp
            volume.cpp)

add_library(unrarxlib STATIC ${SOURCES})
set_property(TARGET unrarxlib PROPERTY POSITION_INDEPENDENT_CODE ON)
if(NOT CORE_SYSTEM_NAME MATCHES windows)
  target_compile_definitions(unrarxlib PRIVATE -DSILENT -DRARDLL)
else()
  target_compile_definitions(unrarxlib PRIVATE -Dstrcasecmp=_stricmp
                                               -D_CRT_NONSTDC_NO_DEPRECATE
                                               -DSILENT
                                               -DRARDLL)
  target_compile_options(unrarxlib PRIVATE /wd4146)
endif()

=== debian/changelog ===
kodi-vfs-rar-dmo (1:20.1.0-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Jan 2023 17:39:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/vfs.rar
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libtinyxml-dev, pkg-config, ninja-build
 
 Package: kodi-vfs-rar

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/xbmc/vfs.rar/releases \
(?:.*?/)??(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-vfs-rar-dmo 21.0.2

=== debian/changelog ===
kodi-vfs-rar-dmo (21.0.2-dmo1~rpt1) trixie; urgency=medium

  * PiOS rebuild 

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 25 Nov 2025 12:43:56 +0000

kodi-vfs-rar-dmo (1:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 09:03:46 +0100

kodi-vfs-rar-dmo (1:21.0.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 15:01:24 +0100

kodi-vfs-rar-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 21:30:07 +0200

kodi-vfs-rar-dmo (1:20.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 13:41:02 +0100

kodi-vfs-rar-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 10:20:35 +0100

kodi-vfs-rar-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 16:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/vfs.rar
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
- libtinyxml-dev, pkg-config, ninja-build
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 3:21~),
+ libtinyxml-dev, pkgconf, ninja-build
 
 Package: kodi-vfs-rar
 Architecture: any

=== debian/watch ===
version=4

#https://github.com/xbmc/vfs.rar/tags \
#(?:.*?/)??(\d[\d.]*)-Omega@ARCHIVE_EXT@
